<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################

define('NTOP', 1);
$title = 'Новости';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');

switch($act)
	{
		default:
		echo '<div class="title2">Новости Топ-Рейтинга</div>';
		$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news`"));
		if($count > 0)
			{
				$total=intval(($count-1)/$page_news)+1; 
				$page=abs(intval($_GET['page'])); 
				if(empty($page) OR $page < 0)
					{
						$page = 1; 
					}
				if($page > $total)
					{
						$page = $total; 
					}
				$past=intval($count/$page_news);  
				$start=$page*$page_news-$page_news; 
				$news = mysql_query("SELECT * FROM `".$prefix."news` ORDER BY `time` DESC LIMIT ".$start.",".$page_news."");
				while($row = mysql_fetch_array($news)) 
					{

					$rat_plus = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_rep` WHERE `id_news` = '".$row['id']."'")); 
                    $proverka = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_rep` WHERE `ip` = '".$ip."' AND `id_news` = '".$row['id']."'"));

					
					
						$start++;
						$count_comment = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_comments` WHERE `id_news` = '".$row['id']."'"));
						echo '<div class="topni"><span class="o">'.$start.'</span> <b>'.$row['name'].'</b> ['.data($row['time']).']</div>';
						echo '<div class="main">';
						echo $row['text'].'<br/>';
						echo '<hr/>';
						echo 'Добавил: '.$row['author'].'';
						echo '<span class = "gray" style="float:right"><a style="margin-right: 9px"><a href="http://'.$set['home'].'/m/news/comments/'.$row['id'].'">Комментарии</a> ['.$count_comment.']</span>';
						if($proverka == 0){
echo ' | <a class="nr" href="/m/news/like1/'.$row['id'].'">Мне нравится: +<b>'.$rat_plus.'</b></a></div>';
} else { 
echo ' | <a class="nr" href="/m/news/like0/'.$row['id'].'">Мне нравится: +<b>'.$rat_plus.'</b></a></div>';}
						
						echo '</div>';
							
				}
				navigation($count,$page_news,$page,'http://'.$set['home'].'/m/news/',$total);
			}
		else
			{
				echo '<div class="topni">Новостей в Топ-Рейтинге нет!<br/></div>';
			}
		break;
		
		
		
		case 'reputation':  
$proverka_r = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_rep` WHERE `ip` = '".$ip."' AND `id_news` = '".$id."'"));
echo'<div class="topik">Мне нравится</div><div class="stat">';
if(!$user_data)
{
echo 'Извините, эта функция доступна только авторизованных пользователей !!!</br>';
}else{
if($proverka_r == 0){ 
$repa = mysql_query("INSERT INTO `".$prefix."news_rep` SET `ip` = '".$ip."', `time` = '".time()."', `id_news` = '".$id."'");
$plus = mysql_query("UPDATE `".$prefix."news` SET `plus` = (`plus` + 1) WHERE `id` = '".$id."'");
if($repa && $plus){ 
echo 'Ваше мнение учтено <b>+1</b> единица!<br/>';
}else{ 
echo 'Ваше мнение не учтено, возможно проиcходят работы с этим модулем!<br/>';
}}else{ 
echo 'Вы уже голосовали сегодня, голосовать можно 1 раз за 24 часа!<br/>'; 
} 
}
echo '<a href="/m/news">К новостям</a></div>'; 
break; 

case 'repa':  
$proverka_r = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_rep` WHERE `ip` = '".$ip."' AND `id_news` = '".$id."'"));

echo'<div class="topik">Мне нравится</div><div class="stat">';
if(!$user_data)
{
echo 'Извините, эта функция доступна только авторизованных пользователей !!!</br>';
}else{
if($proverka_r == 1){ 
$repa = mysql_query("DELETE FROM `".$prefix."news_rep` WHERE `ip` = '".$ip."' AND `id_news` = '".$id."'");
$plus = mysql_query("UPDATE `".$prefix."news` SET `plus` = (`plus` - 1) WHERE `id` = '".$id."'");
if($repa && $plus){ 
echo 'Ваше мнение учтено <b>-1</b> единица!<br/>';
}else{ 
echo 'Ваше мнение не учтено, возможно проиcходят работы с этим модулем!<br/>';
}}else{ 
echo 'Вы уже голосовали сегодня, голосовать можно 1 раз за 24 часа!<br/>'; 
} 
}
echo '<a href="/m/news">К новостям</a></div>'; 
break; 
		
		
		
		
		
		case 'comments':
		
		
		echo '<div class="title2">Комментарии к новости</div>';
		$isset_news = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news` WHERE `id` = '".$id."'"));
		if($isset_news != 0)
			{
				if(isset($_POST['ok']))
					{
						$name = isset($user_data) ? $user_data['login'] : 'Гость';
						$comment = htmlspecialchars(trim($_POST['comment']));
					
						$test = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_comments` WHERE `name` = '".$name."' AND `text` = '".$comment."' AND `id_news` = '".$id."'"));
						if($test == 0)
							{
								$error = '';
								if(empty($comment))
									{
										$error.='Нет комментария<br/>';
									}
								if($user_data)
									{
										if($user_data['antiflud'] + $set['antiflud_time'] > time())
											{
				$error .= 'Вы писали сообщение меньше чем '.$set['antiflud_time'].' секунд назад! <br/>';
											}
									}
								else
									{
				if($set['guest_antiflud'] + $set['antiflud_time'] > time())
									{
				$error .= 'Вы писали сообщение меньше чем '.$set['antiflud_time'].' секунд назад! <br/>';
									}									
									  }
				
								if(mb_strlen($comment) > 100)
									{
					$error.='Комментарий содержит больше 100 символов<br/>';
									}
								if(!empty($error))
									{
									echo '<div class="topni">';
									echo $error;
                                    echo '</div>';
									}
								else
									{
										
			$comment = mysql_query("INSERT INTO `".$prefix."news_comments` SET 
           `name` = '" . mysql_real_escape_string($name) . "',
           `text` = '" . mysql_real_escape_string($comment) . "',
           `time` = '" . time()  ."',
           `id_news` = '" . $id  ."'");
										if($user_data)
											{
			$update_antiflud = mysql_query("UPDATE `".$prefix."users` SET `antiflud` = '".time()."' WHERE `id` = '".$user_data['id']."'");
											}
										else
											{
			$update_antiflud_guest = mysql_query("UPDATE `".$prefix."settings` SET `value` = '".time()."' WHERE `name` = 'guest_antiflud'");
											}										
										if($comment)
											{
												echo '<div class="main">';
												echo 'Комментарий добавлен!<br/>';
												echo '</div>';
											}
										else
											{
												echo '<div class="topni">';
												echo 'Комментарий не добавлен!<br/>';
												echo '</div>';
											}	
									}
							}
					}
				$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_comments` WHERE `id_news` = '".$id."'"));
				if($count > 0)
					{
						$total=intval(($count-1)/$page_nc)+1; 
						$page=abs(intval($_GET['page'])); 
						if(empty($page) OR $page < 0)
							{
								$page = 1; 
							}
						if($page > $total)
							{
								$page = $total; 
							}
						$past=intval($count/$page_nc);  
						$start=$page*$page_nc-$page_nc; 
						$comments = mysql_query("SELECT * FROM `".$prefix."news_comments` WHERE `id_news` = '".$id."' ORDER BY `time` DESC LIMIT ".$start.",".$page_nc."");
						while($row = mysql_fetch_array($comments)) 
							{

								$start++;
								echo '<div class="topni"><span class="o">'.$start.'</span> <b>'.$row['name'].'</b> ['.data($row['time']).']</div>';
								echo '<div class="main">';
								echo $row['text'];
								echo '</div>';
							}
						navigation($count,$page_nc,$page,'http://'.$set['home'].'/m/news/comments/'.$id.'/',$total);
					}
				else
					{
						echo '<div class="main">';
						echo 'Комментариев к данной новости нет!<br/>';
						echo '</div>';
					}
				
				if(!$user_data)
                {
                echo '<div class="main"><b>Комментарии разрешено оставлять только пользователям топ рейтинга !!!!</b></div>';
				}
                else
				{
				echo '<div class="title">Добавление комментария</div>';
				echo '<div class="main">';
				echo '
				<form action="http://'.$set['home'].'/m/news/comments/'.$id.'" method="post">
				Комментарий [max. 100]:<br/>
				<textarea name="comment" cols="38" rows="8"> </textarea><br/>
				';
						
				echo '<input name="ok" type="submit" value="Добавить" />
				</form>
				</div>';
			}	
			}
		else
			{
				echo '<div class="topni">';
				echo 'Нет такой новости!</br>';
				echo '</div>';
			}
		echo '<div class="main">';
		echo '<a href="http://'.$set['home'].'/m/news">К новостям</a></br>';
		echo '</div>';
		break;
	}

require_once ('foot.php');
?>